/*
 *   defaultmap.h
 *   NoQuaFra - Non Quaternion 3d Fractal Generator
 *   Copyright (C) 2002 
 *
 This program is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 *   Billy Stiltner
 *   billystiltner@sourceforge.net
 */



// The default VGA color map
//
//This should be changed so we can load different palettes
//setallcolorswas done real quick using Default.map from fractint
//I loaded default.map into my text editor and replaced " " with , and "\n" with ");\nsetacolor("
//pretty cheesy aye

struct mycolor{
public:
unsigned char r,g,b;
};

mycolor cMap[256];

void setacolor(unsigned char i,unsigned char cmr,unsigned char cmg,unsigned char cmb);
void setallcolors();

void setacolor(unsigned char i,unsigned char cmr,unsigned char cmg,unsigned char cmb)
{
cMap[i].r=cmr;
cMap[i].g=cmg;
cMap[i].b=cmb;
}


void setallcolors()

{
setacolor(0,0,0,0);
setacolor(1,0,0,168);
setacolor(2,0,168,0);
setacolor(3,0,168,168);
setacolor(4,168,0,0);
setacolor(5,168,0,168);
setacolor(6,168,84,0);
setacolor(7,168,168,168);
setacolor(8,84,84,84);
setacolor(9,84,84,252);
setacolor(10,84,252,84);
setacolor(11,84,252,252);
setacolor(12,252,84,84);
setacolor(13,252,84,252);
setacolor(14,252,252,84);
setacolor(15,252,252,252);
setacolor(16,0,0,0);
setacolor(17,20,20,20);
setacolor(18,32,32,32);
setacolor(19,44,44,44);
setacolor(20,56,56,56);
setacolor(21,68,68,68);
setacolor(22,80,80,80);
setacolor(23,96,96,96);
setacolor(24,112,112,112);
setacolor(25,128,128,128);
setacolor(26,144,144,144);
setacolor(27,160,160,160);
setacolor(28,180,180,180);
setacolor(29,200,200,200);
setacolor(30,224,224,224);
setacolor(31,252,252,252);
setacolor(32,0,0,252);
setacolor(33,64,0,252);
setacolor(34,124,0,252);
setacolor(35,188,0,252);
setacolor(36,252,0,252);
setacolor(37,252,0,188);
setacolor(38,252,0,124);
setacolor(39,252,0,64);
setacolor(40,252,0,0);
setacolor(41,252,64,0);
setacolor(42,252,124,0);
setacolor(43,252,188,0);
setacolor(44,252,252,0);
setacolor(45,188,252,0);
setacolor(46,124,252,0);
setacolor(47,64,252,0);
setacolor(48,0,252,0);
setacolor(49,0,252,64);
setacolor(50,0,252,124);
setacolor(51,0,252,188);
setacolor(52,0,252,252);
setacolor(53,0,188,252);
setacolor(54,0,124,252);
setacolor(55,0,64,252);
setacolor(56,124,124,252);
setacolor(57,156,124,252);
setacolor(58,188,124,252);
setacolor(59,220,124,252);
setacolor(60,252,124,252);
setacolor(61,252,124,220);
setacolor(62,252,124,188);
setacolor(63,252,124,156);
setacolor(64,252,124,124);
setacolor(65,252,156,124);
setacolor(66,252,188,124);
setacolor(67,252,220,124);
setacolor(68,252,252,124);
setacolor(69,220,252,124);
setacolor(70,188,252,124);
setacolor(71,156,252,124);
setacolor(72,124,252,124);
setacolor(73,124,252,156);
setacolor(74,124,252,188);
setacolor(75,124,252,220);
setacolor(76,124,252,252);
setacolor(77,124,220,252);
setacolor(78,124,188,252);
setacolor(79,124,156,252);
setacolor(80,180,180,252);
setacolor(81,196,180,252);
setacolor(82,216,180,252);
setacolor(83,232,180,252);
setacolor(84,252,180,252);
setacolor(85,252,180,232);
setacolor(86,252,180,216);
setacolor(87,252,180,196);
setacolor(88,252,180,180);
setacolor(89,252,196,180);
setacolor(90,252,216,180);
setacolor(91,252,232,180);
setacolor(92,252,252,180);
setacolor(93,232,252,180);
setacolor(94,216,252,180);
setacolor(95,196,252,180);
setacolor(96,180,252,180);
setacolor(97,180,252,196);
setacolor(98,180,252,216);
setacolor(99,180,252,232);
setacolor(100,180,252,252);
setacolor(101,180,232,252);
setacolor(102,180,216,252);
setacolor(103,180,196,252);
setacolor(104,0,0,112);
setacolor(105,28,0,112);
setacolor(106,56,0,112);
setacolor(107,84,0,112);
setacolor(108,112,0,112);
setacolor(109,112,0,84);
setacolor(110,112,0,56);
setacolor(111,112,0,28);
setacolor(112,112,0,0);
setacolor(113,112,28,0);
setacolor(114,112,56,0);
setacolor(115,112,84,0);
setacolor(116,112,112,0);
setacolor(117,84,112,0);
setacolor(118,56,112,0);
setacolor(119,28,112,0);
setacolor(120,0,112,0);
setacolor(121,0,112,28);
setacolor(122,0,112,56);
setacolor(123,0,112,84);
setacolor(124,0,112,112);
setacolor(125,0,84,112);
setacolor(126,0,56,112);
setacolor(127,0,28,112);
setacolor(128,56,56,112);
setacolor(129,68,56,112);
setacolor(130,84,56,112);
setacolor(131,96,56,112);
setacolor(132,112,56,112);
setacolor(133,112,56,96);
setacolor(134,112,56,84);
setacolor(135,112,56,68);
setacolor(136,112,56,56);
setacolor(137,112,68,56);
setacolor(138,112,84,56);
setacolor(139,112,96,56);
setacolor(140,112,112,56);
setacolor(141,96,112,56);
setacolor(142,84,112,56);
setacolor(143,68,112,56);
setacolor(144,56,112,56);
setacolor(145,56,112,68);
setacolor(146,56,112,84);
setacolor(147,56,112,96);
setacolor(148,56,112,112);
setacolor(149,56,96,112);
setacolor(150,56,84,112);
setacolor(151,56,68,112);
setacolor(152,80,80,112);
setacolor(153,88,80,112);
setacolor(154,96,80,112);
setacolor(155,104,80,112);
setacolor(156,112,80,112);
setacolor(157,112,80,104);
setacolor(159,112,80,96);
setacolor(159,112,80,88);
setacolor(160,112,80,80);
setacolor(161,112,88,80);
setacolor(162,112,96,80);
setacolor(163,112,104,80);
setacolor(164,112,112,80);
setacolor(165,104,112,80);
setacolor(166,96,112,80);
setacolor(167,88,112,80);
setacolor(168,80,112,80);
setacolor(169,80,112,88);
setacolor(170,80,112,96);
setacolor(171,80,112,104);
setacolor(172,80,112,112);
setacolor(173,80,104,112);
setacolor(174,80,96,112);
setacolor(175,80,88,112);
setacolor(176,0,0,64);
setacolor(177,16,0,64);
setacolor(178,32,0,64);
setacolor(179,48,0,64);
setacolor(180,64,0,64);
setacolor(181,64,0,48);
setacolor(182,64,0,32);
setacolor(183,64,0,16);
setacolor(184,64,0,0);
setacolor(185,64,16,0);
setacolor(186,64,32,0);
setacolor(187,64,48,0);
setacolor(188,64,64,0);
setacolor(189,48,64,0);
setacolor(190,32,64,0);
setacolor(191,16,64,0);
setacolor(192,0,64,0);
setacolor(193,0,64,16);
setacolor(194,0,64,32);
setacolor(195,0,64,48);
setacolor(196,0,64,64);
setacolor(197,0,48,64);
setacolor(198,0,32,64);
setacolor(199,0,16,64);
setacolor(200,32,32,64);
setacolor(201,40,32,64);
setacolor(202,48,32,64);
setacolor(203,56,32,64);
setacolor(204,64,32,64);
setacolor(205,64,32,56);
setacolor(206,64,32,48);
setacolor(207,64,32,40);
setacolor(208,64,32,32);
setacolor(209,64,40,32);
setacolor(210,64,48,32);
setacolor(211,64,56,32);
setacolor(212,64,64,32);
setacolor(213,56,64,32);
setacolor(214,48,64,32);
setacolor(215,40,64,32);
setacolor(216,32,64,32);
setacolor(217,32,64,40);
setacolor(218,32,64,48);
setacolor(219,32,64,56);
setacolor(220,32,64,64);
setacolor(221,32,56,64);
setacolor(222,32,48,64);
setacolor(223,32,40,64);
setacolor(224,44,44,64);
setacolor(225,48,44,64);
setacolor(226,52,44,64);
setacolor(227,60,44,64);
setacolor(228,64,44,64);
setacolor(229,64,44,60);
setacolor(230,64,44,52);
setacolor(231,64,44,48);
setacolor(232,64,44,44);
setacolor(233,64,48,44);
setacolor(234,64,52,44);
setacolor(235,64,60,44);
setacolor(236,64,64,44);
setacolor(237,60,64,44);
setacolor(238,52,64,44);
setacolor(239,48,64,44);
setacolor(240,44,64,44);
setacolor(241,44,64,48);
setacolor(242,44,64,52);
setacolor(243,44,64,60);
setacolor(244,44,64,64);
setacolor(245,44,60,64);
setacolor(246,44,52,64);
setacolor(247,44,48,64);
setacolor(248,0,0,0);
setacolor(249,0,0,0);
setacolor(250,0,0,0);
setacolor(251,0,0,0);
setacolor(252,0,0,0);
setacolor(253,0,0,0);
setacolor(254,0,0,0);
setacolor(255,0,0,0);
}